Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/doc/latex/NEMO/main/bibliography.bib
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/doc/latex/NEMO/main/bibliography.bib	(revision 12158)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/doc/latex/NEMO/main/bibliography.bib	(revision 12159)
@@ -400,6 +400,6 @@
 }
 
-@article{         brodeau.barnier.ea_JPO16,
-  title         = "Climatologically Significant Effects of Some Approximations in the Bulk Parameterizations of Turbulent Air–Sea Fluxes",
+@article{         brodeau.barnier.ea_JPO17,
+  title         = "Climatologically Significant Effects of Some Approximations in the Bulk Parameterizations of Turbulent Air{\textendash}Sea Fluxes",
   pages         = "5--28",
   journal       = "Journal of Physical Oceanography",
@@ -407,5 +407,5 @@
   number        = "1",
   author        = "Brodeau, Laurent and Barnier, Bernard and Gulev, Sergey K. and Woods, Cian",
-  year          = "2016",
+  year          = "2017",
   month         = "jan",
   publisher     = "American Meteorological Society",
@@ -3134,2 +3134,73 @@
   doi           = "10.1029/92jc00911"
 }
+
+@article{large.yeager_CD09,
+author="Large, W. G. and Yeager, S. G.",
+title="The Global Climatology of an Interannually Varying Air-Sea Flux Data Set",
+pages = "341--364",
+journal="Climate Dynamics",
+volume = "33",
+number = "2-3",
+year="2009",
+month = "aug",
+publisher = "Springer Science and Business Media LLC",
+doi="10.1007/s00382-008-0441-3"
+}
+
+@book{sverdrup.johnson.ea_1942,
+author = {H. U. Sverdrup and Martin W. Johnson and Richard H. Fleming},
+title = {The Oceans, Their Physics, Chemistry, and General Biology},
+publisher = {Prentice-Hall},
+address = {New York},
+year = {1942},
+pages = {1087},
+}
+
+@article{kraus.businger_QJRMS96,
+author = "E. B. Kraus and J. A. Businger",
+title = "Atmosphere-ocean interaction.",
+journal="Quarterly Journal of the Royal Meteorological Society",,
+year = "1996",
+volume = "122",
+number = "529",
+pages = "324-325",
+publisher = "John Wiley & Sons, Ltd",
+issn = "1477-870X",
+doi = "10.1002/qj.49712252914"
+}
+
+@article{josey.gulev.ea_2013,
+title = "Exchanges through the ocean surface",
+journal = "Ocean Circulation and Climate - A 21st Century Perspective, Int. Geophys. Ser.",
+year = "2013",
+author = "S. A. Josey and S. Gulev and L. Yu",
+pages = "115-140, edited by G. Siedler et al., Academic Press, Oxford",
+volume = "103",
+doi = "10.1016/B978-0-12-391851-2.00005-2"
+}
+
+@article{fairall.bradley.ea_JGR96,
+  year = "1996",
+ journal = "Journal of Geophysical Research: Oceans",
+  month = "jan",
+  publisher = "American Geophysical Union",
+  volume = "101",
+  number = "C1",
+  pages = "1295-1308",
+  author = "C. W. Fairall and E. F. Bradley and J. S. Godfrey and G. A. Wick and J. B. Edson and G. S. Young",
+  title = "Cool-skin and warm-layer effects on sea surface temperature",
+  doi = "10.1029/95jc03190"
+}
+
+@article{zeng.beljaars_GRL05,
+  year = "2005",
+  month = "jul",
+  publisher = "American Geophysical Union",
+  volume = "32",
+  number = "14",
+  author = "Xubin Zeng and Anton Beljaars",
+  title = "A prognostic scheme of sea surface skin temperature for modeling and data assimilation",
+  journal = "Geophysical Research Letters",
+  doi = "10.1029/2005gl023030"
+}
+
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/doc/latex/NEMO/subfiles/chap_SBC.tex
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/doc/latex/NEMO/subfiles/chap_SBC.tex	(revision 12158)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/doc/latex/NEMO/subfiles/chap_SBC.tex	(revision 12159)
@@ -45,5 +45,5 @@
 
 \begin{itemize}
-\item a bulk formulation (\np[=.true.]{ln_blk}{ln\_blk} with four possible bulk algorithms),
+\item a bulk formulation (\np[=.true.]{ln_blk}{ln\_blk}), featuring a selection of four bulk parameterization algorithms,
 \item a flux formulation (\np[=.true.]{ln_flx}{ln\_flx}),
 \item a coupled or mixed forced/coupled formulation (exchanges with a atmospheric model via the OASIS coupler),
@@ -504,4 +504,7 @@
 \label{sec:SBC_flx}
 
+% Laurent: DO NOT mix up ``bulk formulae'' (the classic equation) and the ``bulk
+% parameterization'' (i.e NCAR, COARE, ECMWF...)
+
 \begin{listing}
   \nlst{namsbc_flx}
@@ -520,7 +523,17 @@
 See \autoref{subsec:SBC_ssr} for its specification.
 
-%% =================================================================================================
+
+
+
+
+
+
+%% =================================================================================================
+\pagebreak
+\newpage
 \section[Bulk formulation (\textit{sbcblk.F90})]{Bulk formulation (\protect\mdl{sbcblk})}
 \label{sec:SBC_blk}
+
+% L. Brodeau, December 2019...
 
 \begin{listing}
@@ -530,17 +543,278 @@
 \end{listing}
 
-In the bulk formulation, the surface boundary condition fields are computed with bulk formulae using atmospheric fields
-and ocean (and sea-ice) variables averaged over \np{nn_fsbc}{nn\_fsbc} time-step.
-
-The atmospheric fields used depend on the bulk formulae used.
-In forced mode, when a sea-ice model is used, a specific bulk formulation is used.
-Therefore, different bulk formulae are used for the turbulent fluxes computation
-over the ocean and over sea-ice surface.
-For the ocean, four bulk formulations are available thanks to the \href{https://brodeau.github.io/aerobulk/}{Aerobulk} package (\citet{brodeau.barnier.ea_JPO16}):
-the NCAR (formerly named CORE), COARE 3.0, COARE 3.5 and ECMWF bulk formulae.
-The choice is made by setting to true one of the following namelist variable:
- \np{ln_NCAR}{ln\_NCAR}, \np{ln_COARE_3p0}{ln\_COARE\_3p0},  \np{ln_COARE_3p5}{ln\_COARE\_3p5} and  \np{ln_ECMWF}{ln\_ECMWF}.
-For sea-ice, three possibilities can be selected:
-a constant transfer coefficient (1.4e-3; default value), \citet{lupkes.gryanik.ea_JGR12} (\np{ln_Cd_L12}{ln\_Cd\_L12}), and \citet{lupkes.gryanik_JGR15} (\np{ln_Cd_L15}{ln\_Cd\_L15}) parameterizations
+If the bulk formulation is selected (\np[=.true.]{ln_blk}{ln\_blk}), the air-sea
+fluxes associated with surface boundary conditions are estimated by means of the
+traditional \emph{bulk formulae}. As input, bulk formulae rely on a prescribed
+near-surface atmosphere state (typically extracted from a weather reanalysis)
+and the prognostic sea (-ice) surface state averaged over \np{nn_fsbc}{nn\_fsbc}
+time-step(s).
+
+% Turbulent air-sea fluxes are computed using the sea surface properties and
+% atmospheric SSVs at height $z$ above the sea surface, with the traditional
+% aerodynamic bulk formulae:
+
+Note: all the NEMO Fortran routines involved in the present section have been
+ initially developed (and are still developed in parallel) in
+ the \href{https://brodeau.github.io/aerobulk/}{\texttt{AeroBulk}} open-source project
+\citep{brodeau.barnier.ea_JPO17}.
+
+%%% Bulk formulae are this:
+\subsection{Bulk formulae}\label{subsec:SBC_blkform}
+%
+In NEMO, the set of equations that relate each component of the surface fluxes
+to the near-surface atmosphere and sea surface states writes
+%
+\begin{subequations}\label{eq_bulk}
+  \label{eq:SBC_bulk_form}
+  \begin{eqnarray}
+    \mathbf{\tau} &=& \rho~ C_D ~ \mathbf{U}_z  ~ U_B \\
+    Q_H           &=& \rho~C_H~C_P~\big[ \theta_z - T_s \big] ~ U_B \\
+    E             &=& \rho~C_E    ~\big[    q_s   - q_z \big] ~ U_B \\
+    Q_L           &=& -L_v \, E \\
+    %
+    Q_{sr}        &=& (1 - a) Q_{sw\downarrow} \\
+    Q_{ir}        &=& \delta (Q_{lw\downarrow} -\sigma T_s^4)
+  \end{eqnarray}
+\end{subequations}
+%
+with
+   \[ \theta_z \simeq T_z+\gamma z \]
+   \[  q_s \simeq 0.98\,q_{sat}(T_s,p_a ) \]
+%
+from which, the the non-solar heat flux is \[ Q_{ns} = Q_L + Q_H + Q_{ir} \]
+%
+where $\mathbf{\tau}$ is the wind stress vector, $Q_H$ the sensible heat flux,
+$E$ the evaporation, $Q_L$ the latent heat flux, and $Q_{ir}$ the net longwave
+flux.
+%
+$Q_{sw\downarrow}$ and $Q_{lw\downarrow}$ are the surface downwelling shortwave
+and longwave radiative fluxes, respectively.
+%
+Note: a positive sign for $\mathbf{\tau}$, $Q_H$, $Q_L$, $Q_{sr}$ or $Q_{ir}$
+implies a gain of the relevant quantity for the ocean, while a positive $E$
+implies a freshwater loss for the ocean.
+%
+$\rho$ is the density of air. $C_D$, $C_H$ and $C_E$ are the bulk transfer
+coefficients for momentum, sensible heat, and moisture, respectively.
+%
+$C_P$ is the heat capacity of moist air, and $L_v$ is the latent heat of
+vaporization of water.
+%
+$\theta_z$, $T_z$ and $q_z$ are the potential temperature, absolute temperature,
+and specific humidity of air at height $z$ above the sea surface,
+respectively. $\gamma z$ is a temperature correction term which accounts for the
+adiabatic lapse rate and approximates the potential temperature at height
+$z$ \citep{josey.gulev.ea_2013}.
+%
+$\mathbf{U}_z$ is the wind speed vector at height $z$ above the sea surface
+(possibly referenced to the surface current $\mathbf{u_0}$,
+section \ref{s_res1}.\ref{ss_current}).
+%
+The bulk scalar wind speed, namely $U_B$, is the scalar wind speed,
+$|\mathbf{U}_z|$, with the potential inclusion of a gustiness contribution.
+%
+$a$ and $\delta$ are the albedo and emissivity of the sea surface, respectively.\\
+%
+%$p_a$ is the mean sea-level pressure (SLP).
+%
+$T_s$ is the sea surface temperature. $q_s$ is the saturation specific humidity
+of air at temperature $T_s$; it includes a 2\% reduction to account for the
+presence of salt in seawater \citep{sverdrup.johnson.ea_1942,kraus.businger_QJRMS96}.
+Depending on the bulk parametrization used, $T_s$ can either be the temperature
+at the air-sea interface (skin temperature, hereafter SSST) or at typically a
+few tens of centimeters below the surface (bulk sea surface temperature,
+hereafter SST).
+%
+The SSST differs from the SST due to the contributions of two effects of
+opposite sign, the \emph{cool skin} and \emph{warm layer} (hereafter CS and WL,
+respectively, see section\,\ref{subsec:SBC_skin}).
+%
+Technically, when the ECMWF or COARE* bulk parametrizations are selected
+(\np[=.true.]{ln_ECMWF}{ln\_ECMWF} or \np[=.true.]{ln_COARE*}{ln\_COARE\*}),
+$T_s$ is the SSST, as opposed to the NCAR bulk parametrization
+(\np[=.true.]{ln_NCAR}{ln\_NCAR}) for which $T_s$ is the bulk SST (\ie~temperature
+at first T-point level).
+
+For more details on all these aspects the reader is invited to refer
+to \citet{brodeau.barnier.ea_JPO17}.
+
+
+
+\subsection{Bulk parametrizations}\label{subsec:SBC_blk_ocean}
+%%%\label{subsec:SBC_param}
+
+Accuracy of the estimate of surface turbulent fluxes by means of bulk formulae
+strongly relies on that of the bulk transfer coefficients: $C_D$, $C_H$ and
+$C_E$. They are estimated with what we refer to as a \emph{bulk
+parametrization} algorithm. When relevant, these algorithms also perform the
+height adjustment of humidity and temperature to the wind reference measurement
+height (from \np{rn_zqt}{rn\_zqt} to \np{rn_zu}{rn\_zu}).
+
+
+
+For the open ocean, four bulk parametrization algorithms are available in NEMO:
+\begin{itemize}
+\item NCAR, formerly known as CORE, \citep{large.yeager_rpt04,large.yeager_CD09}
+\item COARE 3.0 \citep{fairall.bradley.ea_JC03}
+\item COARE 3.6 \citep{edson.jampana.ea_JPO13}
+\item ECMWF (IFS documentation, cy45)
+\end{itemize}
+
+
+With respect to version 3, the principal advances in version 3.6 of the COARE
+bulk parametrization are built around improvements in the representation of the
+effects of waves on
+fluxes \citep{edson.jampana.ea_JPO13,brodeau.barnier.ea_JPO17}. This includes
+improved relationships of surface roughness, and whitecap fraction on wave
+parameters. It is therefore recommended to chose version 3.6 over 3.
+
+
+
+
+\subsection{Cool-skin and warm-layer parametrizations}\label{subsec:SBC_skin}
+%\subsection[Cool-skin and warm-layer parameterizations
+%(\forcode{ln_skin_cs} \& \forcode{ln_skin_wl})]{Cool-skin and warm-layer parameterizations (\protect\np{ln_skin_cs}{ln\_skin\_cs} \& \np{ln_skin_wl}{ln\_skin\_wl})}
+%\label{subsec:SBC_skin}
+%
+As opposed to the NCAR bulk parametrization, more advanced bulk
+parametrizations such as COARE3.x and ECMWF are meant to be used with the skin
+temperature $T_s$ rather than the bulk SST (which, in NEMO is the temperature at
+the first T-point level, see section\,\ref{subsec:SBC_blkform}).
+%
+As such, the relevant cool-skin and warm-layer parametrization must be
+activated through \np[=T]{ln_skin_cs}{ln\_skin\_cs}
+and \np[=T]{ln_skin_wl}{ln\_skin\_wl} to use COARE3.x or ECMWF in a consistent
+way.
+
+\texttt{\#LB: ADD BLBLA ABOUT THE TWO CS/WL PARAMETRIZATIONS (ECMWF and COARE) !!!}
+
+For the cool-skin scheme parametrization COARE and ECMWF algorithms share the same
+basis: \citet{fairall.bradley.ea_JGR96}. With some minor updates based
+on \citet{zeng.beljaars_GRL05} for ECMWF, and \citet{fairall.ea_19} for COARE
+3.6.
+
+For the warm-layer scheme, ECMWF is based on \citet{zeng.beljaars_GRL05} with a
+recent update from \citet{takaya.bidlot.ea_JGR10} (consideration of the
+turbulence input from Langmuir circulation).
+
+Importantly, COARE warm-layer scheme \citep{fairall.ea_19} includes a prognostic
+equation for the thickness of the warm-layer, while it is considered as constant
+in the ECWMF algorithm.
+
+\begin{figure}[!t]
+  \centering
+  \includegraphics[width=0.96\textwidth]{SBC_dT_skin-SST}
+  \caption[Skin temperature]{Hourly difference between skin temperature and
+  bulk SST (1\,m deep) simulated by the NEMO \texttt{STATION\_ASF} test-case,
+  based on in-situ data from PAPA station (50.1\deg N, 144.9\deg W) in 2018; for
+  two different sets of ``bulk algorithm + cool-skin/warm-layer
+  parametrizations'': COARE 3.6 and ECMWF.}
+  \label{fig:SBC_dT_skin-SST}
+\end{figure}
+
+
+%
+
+
+
+\subsection{Appropriate use of each bulk parametrization}
+
+\subsubsection{NCAR}
+
+NCAR bulk parametrizations (formerly known as CORE) is meant to be used with the
+CORE II atmospheric forcing \citep{large.yeager_CD09}. The expected sea surface
+temperature is the bulk SST. Hence the following namelist parameters must be
+set:
+%
+\begin{verbatim}
+  ...
+  ln_NCAR    = .true.
+  ...
+  rn_zqt     = 10.     ! Air temperature & humidity reference height (m)
+  rn_zu      = 10.     ! Wind vector reference height (m)
+  ...
+  ln_skin_cs = .false. ! use the cool-skin parameterization
+  ln_skin_wl = .false. ! use the warm-layer parameterization
+  ...
+  ln_humi_sph = .true. ! humidity "sn_humi" is specific humidity  [kg/kg]
+\end{verbatim}
+
+
+\subsubsection{ECMWF}
+%
+With an atmospheric forcing based on a reanalysis of the ECMWF, such as the
+Drakkar Forcing Set \citep{brodeau.barnier.ea_OM10}, we strongly recommend to
+use the ECMWF bulk parametrizations with the cool-skin and warm-layer
+parametrizations activated. In ECMWF reanalyzes, since air temperature and
+humidity are provided at the 2\,m height, and given that the humidity is
+distributed as the dew-point temperature, the namelist must be tuned as follows:
+%
+\begin{verbatim}
+  ...
+  ln_ECMWF   = .true.
+  ...     
+  rn_zqt     =  2.     ! Air temperature & humidity reference height (m)
+  rn_zu      = 10.     ! Wind vector reference height (m)
+  ...
+  ln_skin_cs = .true. ! use the cool-skin parameterization
+  ln_skin_wl = .true. ! use the warm-layer parameterization
+  ...
+  ln_humi_dpt = .true. !  humidity "sn_humi" is dew-point temperature [K]
+  ...
+\end{verbatim}
+%
+Note: when \np{ln_ECMWF}{ln\_ECMWF} is selected, the selection
+of \np{ln_skin_cs}{ln\_skin\_cs} and \np{ln_skin_wl}{ln\_skin\_wl} implicitly
+triggers the use of the ECMWF cool-skin and warm-layer parametrizations,
+respectively (found in \textit{sbcblk\_skin\_ecmwf.F90}).
+
+
+\subsubsection{COARE 3.x}
+%
+Since the ECMWF parametrization is largely based on the COARE* parametrization,
+the two algorithms are very similar in terms of structure and closure
+approach. As such, the namelist tuning for COARE 3.x is identical to that of
+ECMWF:
+%
+\begin{verbatim}
+  ...
+  ln_COARE3p6 = .true.
+  ...     
+  ln_skin_cs = .true. ! use the cool-skin parameterization
+  ln_skin_wl = .true. ! use the warm-layer parameterization
+  ...
+\end{verbatim}
+
+Note: when \np[=T]{ln_COARE3p0}{ln\_COARE3p0} is selected, the selection
+of \np{ln_skin_cs}{ln\_skin\_cs} and \np{ln_skin_wl}{ln\_skin\_wl} implicitly
+triggers the use of the COARE cool-skin and warm-layer parametrizations,
+respectively (found in \textit{sbcblk\_skin\_coare.F90}).
+
+
+%lulu
+
+
+
+% In a typical bulk algorithm, the BTCs under neutral stability conditions are
+% defined using \emph{in-situ} flux measurements while their dependence on the
+% stability is accounted through the \emph{Monin-Obukhov Similarity Theory} and
+% the \emph{flux-profile} relationships \citep[\eg{}][]{Paulson_1970}. BTCs are
+% functions of the wind speed and the near-surface stability of the atmospheric
+% surface layer (hereafter ASL), and hence, depend on $U_B$, $T_s$, $T_z$, $q_s$
+% and $q_z$.
+
+
+
+\subsection{Prescribed near-surface atmospheric state}
+
+The atmospheric fields used depend on the bulk formulae used.  In forced mode,
+when a sea-ice model is used, a specific bulk formulation is used.  Therefore,
+different bulk formulae are used for the turbulent fluxes computation over the
+ocean and over sea-ice surface.
+%
+
+%The choice is made by setting to true one of the following namelist
+%variable: \np{ln_NCAR}{ln\_NCAR}, \np{ln_COARE_3p0}{ln\_COARE\_3p0}, \np{ln_COARE_3p6}{ln\_COARE\_3p6}
+%and \np{ln_ECMWF}{ln\_ECMWF}. 
 
 Common options are defined through the \nam{sbc_blk}{sbc\_blk} namelist variables.
@@ -553,15 +827,17 @@
     Variable description                 & Model variable & Units              & point \\
     \hline
-    i-component of the 10m air velocity  & utau           & $m.s^{-1}$         & T     \\
+    i-component of the 10m air velocity  & wndi           & $m.s^{-1}$         & T     \\
     \hline
-    j-component of the 10m air velocity  & vtau           & $m.s^{-1}$         & T     \\
+    j-component of the 10m air velocity  & wndj           & $m.s^{-1}$         & T     \\
     \hline
-    10m air temperature                  & tair           & \r{}$K$            & T     \\
+    10m air temperature                  & tair           & $K$               & T     \\
     \hline
-    Specific humidity                    & humi           & \%                 & T     \\
+    Specific humidity                    & humi           & $-$               & T     \\
+    Relative humidity                    & ~              & $\%$              & T     \\
+    Dew-point temperature                & ~              & $K$               & T     \\    
     \hline
-    Incoming long wave radiation         & qlw            & $W.m^{-2}$         & T     \\
+    Downwelling longwave radiation       & qlw            & $W.m^{-2}$         & T     \\
     \hline
-    Incoming short wave radiation        & qsr            & $W.m^{-2}$         & T     \\
+    Downwelling shortwave radiation      & qsr            & $W.m^{-2}$         & T     \\
     \hline
     Total precipitation (liquid + solid) & precip         & $Kg.m^{-2}.s^{-1}$ & T     \\
@@ -584,5 +860,5 @@
 
 \np{cn_dir}{cn\_dir} is the directory of location of bulk files
-\np{ln_taudif}{ln\_taudif} is the flag to specify if we use Hight Frequency (HF) tau information (.true.) or not (.false.)
+%\np{ln_taudif}{ln\_taudif} is the flag to specify if we use High Frequency (HF) tau information (.true.) or not (.false.)
 \np{rn_zqt}{rn\_zqt}: is the height of humidity and temperature measurements (m)
 \np{rn_zu}{rn\_zu}: is the height of wind measurements (m)
@@ -595,32 +871,63 @@
 Its range must be between zero and one, and it is recommended to set it to 0 at low-resolution (ORCA2 configuration).
 
-As for the flux formulation, information about the input data required by the model is provided in
+As for the flux parametrization, information about the input data required by the model is provided in
 the namsbc\_blk namelist (see \autoref{subsec:SBC_fldread}).
 
-%% =================================================================================================
-\subsection[Ocean-Atmosphere Bulk formulae (\textit{sbcblk\_algo\_coare.F90, sbcblk\_algo\_coare3p5.F90, sbcblk\_algo\_ecmwf.F90, sbcblk\_algo\_ncar.F90})]{Ocean-Atmosphere Bulk formulae (\mdl{sbcblk\_algo\_coare}, \mdl{sbcblk\_algo\_coare3p5}, \mdl{sbcblk\_algo\_ecmwf}, \mdl{sbcblk\_algo\_ncar})}
-\label{subsec:SBC_blk_ocean}
-
-Four different bulk algorithms are available to compute surface turbulent momentum and heat fluxes over the ocean.
-COARE 3.0, COARE 3.5 and ECMWF schemes mainly differ by their roughness lenghts computation and consequently
-their neutral transfer coefficients relationships with neutral wind.
-\begin{itemize}
-\item NCAR (\np[=.true.]{ln_NCAR}{ln\_NCAR}): The NCAR bulk formulae have been developed by \citet{large.yeager_rpt04}.
-  They have been designed to handle the NCAR forcing, a mixture of NCEP reanalysis and satellite data.
-  They use an inertial dissipative method to compute the turbulent transfer coefficients
-  (momentum, sensible heat and evaporation) from the 10m wind speed, air temperature and specific humidity.
-  This \citet{large.yeager_rpt04} dataset is available through
-  the \href{http://nomads.gfdl.noaa.gov/nomads/forms/mom4/NCAR.html}{GFDL web site}.
-  Note that substituting ERA40 to NCEP reanalysis fields does not require changes in the bulk formulea themself.
-  This is the so-called DRAKKAR Forcing Set (DFS) \citep{brodeau.barnier.ea_OM10}.
-\item COARE 3.0 (\np[=.true.]{ln_COARE_3p0}{ln\_COARE\_3p0}): See \citet{fairall.bradley.ea_JC03} for more details
-\item COARE 3.5 (\np[=.true.]{ln_COARE_3p5}{ln\_COARE\_3p5}): See \citet{edson.jampana.ea_JPO13} for more details
-\item ECMWF (\np[=.true.]{ln_ECMWF}{ln\_ECMWF}): Based on \href{https://www.ecmwf.int/node/9221}{IFS (Cy31)} implementation and documentation.
-  Surface roughness lengths needed for the Obukhov length are computed following \citet{beljaars_QJRMS95}.
-\end{itemize}
+
+\subsubsection{Air humidity}
+
+Air humidity can be provided as three different parameters: specific humidity
+[kg/kg], relative humidity [\%], or dew-point temperature [K] (LINK to namelist
+parameters)...
+
+
+~\\
+
+
+
+
+
+
+
+
+
+
+%% =================================================================================================
+%\subsection[Ocean-Atmosphere Bulk formulae (\textit{sbcblk\_algo\_coare3p0.F90, sbcblk\_algo\_coare3p6.F90, %sbcblk\_algo\_ecmwf.F90, sbcblk\_algo\_ncar.F90})]{Ocean-Atmosphere Bulk formulae (\mdl{sbcblk\_algo\_coare3p0}, %\mdl{sbcblk\_algo\_coare3p6}, \mdl{sbcblk\_algo\_ecmwf}, \mdl{sbcblk\_algo\_ncar})}
+%\label{subsec:SBC_blk_ocean}
+
+%Four different bulk algorithms are available to compute surface turbulent momentum and heat fluxes over the ocean.
+%COARE 3.0, COARE 3.6 and ECMWF schemes mainly differ by their roughness lenghts computation and consequently
+%their neutral transfer coefficients relationships with neutral wind.
+%\begin{itemize}
+%\item NCAR (\np[=.true.]{ln_NCAR}{ln\_NCAR}): The NCAR bulk formulae have been developed by \citet{large.yeager_rpt04}.
+%  They have been designed to handle the NCAR forcing, a mixture of NCEP reanalysis and satellite data.
+%  They use an inertial dissipative method to compute the turbulent transfer coefficients
+%  (momentum, sensible heat and evaporation) from the 10m wind speed, air temperature and specific humidity.
+%  This \citet{large.yeager_rpt04} dataset is available through
+%  the \href{http://nomads.gfdl.noaa.gov/nomads/forms/mom4/NCAR.html}{GFDL web site}.
+%  Note that substituting ERA40 to NCEP reanalysis fields does not require changes in the bulk formulea themself.
+%  This is the so-called DRAKKAR Forcing Set (DFS) \citep{brodeau.barnier.ea_OM10}.
+%\item COARE 3.0 (\np[=.true.]{ln_COARE_3p0}{ln\_COARE\_3p0}): See \citet{fairall.bradley.ea_JC03} for more details
+%\item COARE 3.6 (\np[=.true.]{ln_COARE_3p6}{ln\_COARE\_3p6}): See \citet{edson.jampana.ea_JPO13} for more details
+%\item ECMWF (\np[=.true.]{ln_ECMWF}{ln\_ECMWF}): Based on \href{https://www.ecmwf.int/node/9204}{IFS (Cy40r1)} %implementation and documentation.
+%  Surface roughness lengths needed for the Obukhov length are computed
+%  following \citet{beljaars_QJRMS95}.
+%\end{itemize}
 
 %% =================================================================================================
 \subsection{Ice-Atmosphere Bulk formulae}
 \label{subsec:SBC_blk_ice}
+
+
+\texttt{\#out\_of\_place:}
+ For sea-ice, three possibilities can be selected:
+a constant transfer coefficient (1.4e-3; default
+value), \citet{lupkes.gryanik.ea_JGR12} (\np{ln_Cd_L12}{ln\_Cd\_L12}),
+and \citet{lupkes.gryanik_JGR15} (\np{ln_Cd_L15}{ln\_Cd\_L15}) parameterizations
+\texttt{\#out\_of\_place.}
+
+
+
 
 Surface turbulent fluxes between sea-ice and the atmosphere can be computed in three different ways: