Index: NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/doc/latex/NEMO/main/bibliography.bib
===================================================================
--- NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/doc/latex/NEMO/main/bibliography.bib	(revision 12051)
+++ NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/doc/latex/NEMO/main/bibliography.bib	(revision 12162)
@@ -3160,5 +3160,5 @@
 author = "E. B. Kraus and J. A. Businger",
 title = "Atmosphere-ocean interaction.",
-journal="Quarterly Journal of the Royal Meteorological Society",,
+journal="Quarterly Journal of the Royal Meteorological Society",
 year = "1996",
 volume = "122",
@@ -3205,2 +3205,12 @@
 }
 
+@techreport{fairall.blomquist_rpt18,
+  title         = "The {TOGA-COARE} bulk air-sea flux algorithm",
+  pages         = "16",
+  author        = "C. W. Fairall and B. Blomquist and L. Bariteau and J. B. Edson",
+  institution   = "(NOAA/ERSL/PSD, Boulder, USA",
+  year          = "2018",
+  month         = "aug",
+  url           = "ftp://ftp.etl.noaa.gov/BLO/Air-Sea/bulkalg/cor3_6/coare36_readme_1.doc"
+}
+
Index: NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/doc/latex/NEMO/subfiles/chap_SBC.tex
===================================================================
--- NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/doc/latex/NEMO/subfiles/chap_SBC.tex	(revision 12051)
+++ NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/doc/latex/NEMO/subfiles/chap_SBC.tex	(revision 12162)
@@ -1,5 +1,3 @@
 \documentclass[../main/NEMO_manual]{subfiles}
-\usepackage{fontspec}
-\usepackage{fontawesome}
 
 \begin{document}
@@ -557,5 +555,5 @@
 
 Note: all the NEMO Fortran routines involved in the present section have been
- initially developed (and are still developped in parallel) in
+ initially developed (and are still developed in parallel) in
  the \href{https://brodeau.github.io/aerobulk/}{\texttt{AeroBulk}} open-source project
 \citep{brodeau.barnier.ea_JPO17}.
@@ -568,9 +566,10 @@
 %
 \begin{subequations}\label{eq_bulk}
+  \label{eq:SBC_bulk_form}
   \begin{eqnarray}
-    \mathbf{\tau} &=& \rho~ C_D ~ \mathbf{U}_z  ~ U_B \label{eq_b_t} \\
-    Q_H           &=& \rho~C_H~C_P~\big[ \theta_z - T_s \big] ~ U_B \label{eq_b_qh} \\
-    E             &=& \rho~C_E    ~\big[    q_s   - q_z \big] ~ U_B \label{eq_b_e}  \\
-    Q_L           &=& -L_v \, E  \label{eq_b_qe} \\
+    \mathbf{\tau} &=& \rho~ C_D ~ \mathbf{U}_z  ~ U_B \\
+    Q_H           &=& \rho~C_H~C_P~\big[ \theta_z - T_s \big] ~ U_B \\
+    E             &=& \rho~C_E    ~\big[    q_s   - q_z \big] ~ U_B \\
+    Q_L           &=& -L_v \, E \\
     %
     Q_{sr}        &=& (1 - a) Q_{sw\downarrow} \\
@@ -592,11 +591,10 @@
 and longwave radiative fluxes, respectively.
 %
-Note: a positive sign of $\mathbf{\tau}$, the various fluxes of heat implies a
-gain of the relevant quantity for the ocean, while a positive $E$ implies a
-freshwater loss for the ocean.
+Note: a positive sign for $\mathbf{\tau}$, $Q_H$, $Q_L$, $Q_{sr}$ or $Q_{ir}$
+implies a gain of the relevant quantity for the ocean, while a positive $E$
+implies a freshwater loss for the ocean.
 %
 $\rho$ is the density of air. $C_D$, $C_H$ and $C_E$ are the bulk transfer
-coefficients for momentum, sensible heat, and moisture, respectively (hereafter
-referred to as BTCs).
+coefficients for momentum, sensible heat, and moisture, respectively.
 %
 $C_P$ is the heat capacity of moist air, and $L_v$ is the latent heat of
@@ -614,5 +612,5 @@
 %
 The bulk scalar wind speed, namely $U_B$, is the scalar wind speed,
-$|\mathbf{U}_z|$, with the potential inclusion of a gustiness contribution .
+$|\mathbf{U}_z|$, with the potential inclusion of a gustiness contribution.
 %
 $a$ and $\delta$ are the albedo and emissivity of the sea surface, respectively.\\
@@ -621,5 +619,5 @@
 %
 $T_s$ is the sea surface temperature. $q_s$ is the saturation specific humidity
-of air at temperature $T_s$ and includes a 2\% reduction to account for the
+of air at temperature $T_s$; it includes a 2\% reduction to account for the
 presence of salt in seawater \citep{sverdrup.johnson.ea_1942,kraus.businger_QJRMS96}.
 Depending on the bulk parametrization used, $T_s$ can either be the temperature
@@ -637,5 +635,4 @@
 (\np[=.true.]{ln_NCAR}{ln\_NCAR}) for which $T_s$ is the bulk SST (\ie~temperature
 at first T-point level).
-
 
 For more details on all these aspects the reader is invited to refer
@@ -656,17 +653,19 @@
 
 
-For the open ocean, four bulk parametrization algorithms are available:
+For the open ocean, four bulk parametrization algorithms are available in NEMO:
 \begin{itemize}
 \item NCAR, formerly known as CORE, \citep{large.yeager_rpt04,large.yeager_CD09}
 \item COARE 3.0 \citep{fairall.bradley.ea_JC03}
-\item COARE 3.6 \citep{edson.jampana.ea_JPO13}
+\item COARE 3.6 \citep{edson.jampana.ea_JPO13,fairall.blomquist_rpt18}
 \item ECMWF (IFS documentation, cy45)
 \end{itemize}
 
 
-Differences between versions 3.0 and 3.6 of the COARE algorithm mainly ... wind
-stress BLABLA \citep{edson.jampana.ea_JPO13,brodeau.barnier.ea_JPO17}.
-Therefore it is recommanded to use version 3.6 of the COARE algorithms rather
-than version 3.
+With respect to version 3, the principal advances in version 3.6 of the COARE
+bulk parametrization are built around improvements in the representation of the
+effects of waves on
+fluxes \citep{edson.jampana.ea_JPO13,brodeau.barnier.ea_JPO17}. This includes
+improved relationships of surface roughness, and whitecap fraction on wave
+parameters. It is therefore recommended to chose version 3.6 over 3.
 
 
@@ -692,5 +691,5 @@
 For the cool-skin scheme parametrization COARE and ECMWF algorithms share the same
 basis: \citet{fairall.bradley.ea_JGR96}. With some minor updates based
-on \citet{zeng.beljaars_GRL05} for ECMWF, and \citet{fairall.ea_19} for COARE
+on \citet{zeng.beljaars_GRL05} for ECMWF, and \citet{fairall.blomquist_rpt18} for COARE
 3.6.
 
@@ -699,8 +698,23 @@
 turbulence input from Langmuir circulation).
 
-Importantly, COARE warm-layer scheme \citep{fairall.ea_19} includes a prognostic
+Importantly, COARE warm-layer scheme \citep{fairall.blomquist_rpt18} includes a prognostic
 equation for the thickness of the warm-layer, while it is considered as constant
 in the ECWMF algorithm.
 
+\begin{figure}[!t]
+  \centering
+  \includegraphics[width=0.96\textwidth]{SBC_dT_skin-SST}
+  \caption[Skin temperature]{Hourly difference between skin temperature and
+  bulk SST (1\,m deep) simulated by the NEMO \texttt{STATION\_ASF} test-case,
+  based on in-situ data from PAPA station (50.1\deg N, 144.9\deg W) in 2018; for
+  two different sets of ``bulk algorithm + cool-skin/warm-layer
+  parametrizations'': COARE 3.6 and ECMWF.}
+  \label{fig:SBC_dT_skin-SST}
+\end{figure}
+
+
+%
+
+
 
 \subsection{Appropriate use of each bulk parametrization}
@@ -708,7 +722,8 @@
 \subsubsection{NCAR}
 
-NCAR bulk parametrizations (formerly know as CORE) is meant to be used with the
-CORE II atmospheric forcing \citep{large.yeager_CD09}. Hence the following
-namelist parameters must be set:
+NCAR bulk parametrizations (formerly known as CORE) is meant to be used with the
+CORE II atmospheric forcing \citep{large.yeager_CD09}. The expected sea surface
+temperature is the bulk SST. Hence the following namelist parameters must be
+set:
 %
 \begin{verbatim}
@@ -728,10 +743,10 @@
 \subsubsection{ECMWF}
 %
-With a DFS* or any ECMWF-based type of atmospheric forcing, we strongly
-recommend to use the ECMWF bulk parametrizations with the cool-skin and
-warm-layer parametrizations turned on. In ECMWF reanalyzes, since air
-temperature and humidity are provided at the 2\,m height, and given that the
-humidity is provided as the dew-point temperature, the namelist must be tuned as
-follows:
+With an atmospheric forcing based on a reanalysis of the ECMWF, such as the
+Drakkar Forcing Set \citep{brodeau.barnier.ea_OM10}, we strongly recommend to
+use the ECMWF bulk parametrizations with the cool-skin and warm-layer
+parametrizations activated. In ECMWF reanalyzes, since air temperature and
+humidity are provided at the 2\,m height, and given that the humidity is
+distributed as the dew-point temperature, the namelist must be tuned as follows:
 %
 \begin{verbatim}
@@ -758,7 +773,7 @@
 %
 Since the ECMWF parametrization is largely based on the COARE* parametrization,
-the two algorithms are very similar in terms of structure and closure approach
-(see \citet{brodeau.barnier.ea_JPO17} for the differences). As such, the
-namelist tuning for COARE 3.x is identical to that of ECMWF:
+the two algorithms are very similar in terms of structure and closure
+approach. As such, the namelist tuning for COARE 3.x is identical to that of
+ECMWF:
 %
 \begin{verbatim}
@@ -777,5 +792,5 @@
 
 
-~
+%lulu
 
 
@@ -845,5 +860,5 @@
 
 \np{cn_dir}{cn\_dir} is the directory of location of bulk files
-\np{ln_taudif}{ln\_taudif} is the flag to specify if we use Hight Frequency (HF) tau information (.true.) or not (.false.)
+%\np{ln_taudif}{ln\_taudif} is the flag to specify if we use High Frequency (HF) tau information (.true.) or not (.false.)
 \np{rn_zqt}{rn\_zqt}: is the height of humidity and temperature measurements (m)
 \np{rn_zu}{rn\_zu}: is the height of wind measurements (m)
@@ -856,5 +871,5 @@
 Its range must be between zero and one, and it is recommended to set it to 0 at low-resolution (ORCA2 configuration).
 
-As for the flux parameterization, information about the input data required by the model is provided in
+As for the flux parametrization, information about the input data required by the model is provided in
 the namsbc\_blk namelist (see \autoref{subsec:SBC_fldread}).
 