Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/doc/latex/NEMO/main/bibliography.bib
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/doc/latex/NEMO/main/bibliography.bib	(revision 12162)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/doc/latex/NEMO/main/bibliography.bib	(revision 12163)
@@ -3160,5 +3160,5 @@
 author = "E. B. Kraus and J. A. Businger",
 title = "Atmosphere-ocean interaction.",
-journal="Quarterly Journal of the Royal Meteorological Society",
+journal="Quarterly Journal of the Royal Meteorological Society",,
 year = "1996",
 volume = "122",
@@ -3205,12 +3205,2 @@
 }
 
-@techreport{fairall.blomquist_rpt18,
-  title         = "The {TOGA-COARE} bulk air-sea flux algorithm",
-  pages         = "16",
-  author        = "C. W. Fairall and B. Blomquist and L. Bariteau and J. B. Edson",
-  institution   = "(NOAA/ERSL/PSD, Boulder, USA",
-  year          = "2018",
-  month         = "aug",
-  url           = "ftp://ftp.etl.noaa.gov/BLO/Air-Sea/bulkalg/cor3_6/coare36_readme_1.doc"
-}
-
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/doc/latex/NEMO/subfiles/chap_SBC.tex
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/doc/latex/NEMO/subfiles/chap_SBC.tex	(revision 12162)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/doc/latex/NEMO/subfiles/chap_SBC.tex	(revision 12163)
@@ -1,3 +1,5 @@
 \documentclass[../main/NEMO_manual]{subfiles}
+\usepackage{fontspec}
+\usepackage{fontawesome}
 
 \begin{document}
@@ -535,5 +537,5 @@
 \label{sec:SBC_blk}
 
-% L. Brodeau, December 2019...
+% L. Brodeau, December 2019... %
 
 \begin{listing}
@@ -657,5 +659,5 @@
 \item NCAR, formerly known as CORE, \citep{large.yeager_rpt04,large.yeager_CD09}
 \item COARE 3.0 \citep{fairall.bradley.ea_JC03}
-\item COARE 3.6 \citep{edson.jampana.ea_JPO13,fairall.blomquist_rpt18}
+\item COARE 3.6 \citep{edson.jampana.ea_JPO13}
 \item ECMWF (IFS documentation, cy45)
 \end{itemize}
@@ -691,5 +693,5 @@
 For the cool-skin scheme parametrization COARE and ECMWF algorithms share the same
 basis: \citet{fairall.bradley.ea_JGR96}. With some minor updates based
-on \citet{zeng.beljaars_GRL05} for ECMWF, and \citet{fairall.blomquist_rpt18} for COARE
+on \citet{zeng.beljaars_GRL05} for ECMWF, and \citet{fairall.ea_19} for COARE
 3.6.
 
@@ -698,22 +700,7 @@
 turbulence input from Langmuir circulation).
 
-Importantly, COARE warm-layer scheme \citep{fairall.blomquist_rpt18} includes a prognostic
+Importantly, COARE warm-layer scheme \citep{fairall.ea_19} includes a prognostic
 equation for the thickness of the warm-layer, while it is considered as constant
 in the ECWMF algorithm.
-
-\begin{figure}[!t]
-  \centering
-  \includegraphics[width=0.96\textwidth]{SBC_dT_skin-SST}
-  \caption[Skin temperature]{Hourly difference between skin temperature and
-  bulk SST (1\,m deep) simulated by the NEMO \texttt{STATION\_ASF} test-case,
-  based on in-situ data from PAPA station (50.1\deg N, 144.9\deg W) in 2018; for
-  two different sets of ``bulk algorithm + cool-skin/warm-layer
-  parametrizations'': COARE 3.6 and ECMWF.}
-  \label{fig:SBC_dT_skin-SST}
-\end{figure}
-
-
-%
-
 
 
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/doc/namelists/namsbc_blk
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/doc/namelists/namsbc_blk	(revision 12162)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/doc/namelists/namsbc_blk	(revision 12163)
@@ -1,21 +1,28 @@
 !-----------------------------------------------------------------------
-&namsbc_blk    !   namsbc_blk  generic Bulk formula                     (ln_blk =T)
+&namsbc_blk    !   namsbc_blk  generic Bulk formula          (ln_blk =T)
 !-----------------------------------------------------------------------
    !                    !  bulk algorithm :
-   ln_NCAR     = .false.   ! "NCAR"      algorithm   (Large and Yeager 2008)
+   ln_NCAR      = .true.    ! "NCAR"      algorithm   (Large and Yeager 2008)
    ln_COARE_3p0 = .false.   ! "COARE 3.0" algorithm   (Fairall et al. 2003)
-   ln_COARE_3p5 = .false.   ! "COARE 3.5" algorithm   (Edson et al. 2013)
-   ln_ECMWF    = .false.   ! "ECMWF"     algorithm   (IFS cycle 31)
+   ln_COARE_3p6 = .false.   ! "COARE 3.6" algorithm   (Edson et al. 2013)
+   ln_ECMWF     = .false.   ! "ECMWF"     algorithm   (IFS cycle 45r1)
       !
-      rn_zqt      = 10.       !  Air temperature & humidity reference height (m)
-      rn_zu       = 10.       !  Wind vector reference height (m)
-      ln_Cd_L12   = .false.   !  air-ice drags = F(ice concentration) (Lupkes et al. 2012)
-      ln_Cd_L15   = .false.   !  air-ice drags = F(ice concentration) (Lupkes et al. 2015)
-      ln_taudif   = .false.   !  HF tau contribution: use "mean of stress module - module of the mean stress" data
-      rn_pfac     = 1.        !  multiplicative factor for precipitation (total & snow)
-      rn_efac     = 1.        !  multiplicative factor for evaporation (0. or 1.)
-      rn_vfac     = 0.        !  multiplicative factor for ocean & ice velocity used to
-      !                       !  calculate the wind stress (0.=absolute or 1.=relative winds)
-
+      rn_zqt     = 10.      !  Air temperature & humidity reference height (m)
+      rn_zu      = 10.      !  Wind vector reference height (m)
+      ln_Cd_L12  = .false.  !  air-ice drags = F(ice conc.) (Lupkes et al. 2012)
+      ln_Cd_L15  = .false.  !  air-ice drags = F(ice conc.) (Lupkes et al. 2015)
+      !                     !  - module of the mean stress" data
+      rn_pfac    = 1.       !  multipl. factor for precipitation (total & snow)
+      rn_efac    = 1.       !  multipl. factor for evaporation (0. or 1.)
+      rn_vfac    = 0.       !  multipl. factor for ocean & ice velocity 
+      !                     !  used to calculate the wind stress
+      !                     ! (0. => absolute or 1. => relative winds)
+      ln_skin_cs = .false.  !  use the cool-skin parameterization
+      ln_skin_wl = .false.  !  use the warm-layer parameterization
+      !                     !   ==> only available in ECMWF and COARE algorithms
+      ln_humi_sph = .true.  !  humidity "sn_humi" is specific humidity  [kg/kg]
+      ln_humi_dpt = .false. !  humidity "sn_humi" is dew-point temperature [K]
+      ln_humi_rlh = .false. !  humidity "sn_humi" is relative humidity     [%]
+   !
    cn_dir      = './'      !  root directory for the bulk data location
    !___________!_________________________!___________________!___________!_____________!________!___________!______________________________________!__________!_______________!
@@ -28,7 +35,8 @@
    sn_tair     = 't_10.15JUNE2009_fill'       ,    6.        , 'T_10_MOD',   .false.   , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc' , ''       , ''
    sn_humi     = 'q_10.15JUNE2009_fill'       ,    6.        , 'Q_10_MOD',   .false.   , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc' , ''       , ''
+   sn_hpgi     = 'NONE'                       ,   24.        , 'uhpg'    ,   .false.   , .false., 'monthly' , 'weights_ERAI3D_F128_2_ORCA2_bicubic', 'UG'     , ''
+   sn_hpgj     = 'NONE'                       ,   24.        , 'vhpg'    ,   .false.   , .false., 'monthly' , 'weights_ERAI3D_F128_2_ORCA2_bicubic', 'VG'     , ''
    sn_prec     = 'ncar_precip.15JUNE2009_fill',   -1.        , 'PRC_MOD1',   .false.   , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc' , ''       , ''
    sn_snow     = 'ncar_precip.15JUNE2009_fill',   -1.        , 'SNOW'    ,   .false.   , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc' , ''       , ''
    sn_slp      = 'slp.15JUNE2009_fill'        ,    6.        , 'SLP'     ,   .false.   , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc' , ''       , ''
-   sn_tdif     = 'taudif_core'                ,   24         , 'taudif'  ,   .false.   , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc' , ''       , ''
 /