Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/EXPREF/namelist_coare3p6-noskin_cfg
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/EXPREF/namelist_coare3p6-noskin_cfg	(revision 12180)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/EXPREF/namelist_coare3p6-noskin_cfg	(revision 12181)
@@ -43,5 +43,4 @@
       cn_ocerst_out   = 'restart_oce'   !  suffix of ocean restart name (output)
       cn_ocerst_outdir = './'         !  directory in which to write output ocean restarts
-   ln_iscpl    = .false.   !  cavity evolution forcing or coupling to ice sheet model
    nn_istate   =       0   !  output the initial state (1) or not (0)
    ln_rst_list = .false.   !  output restarts at list of times using nn_stocklist (T) or at set frequency with nn_stock (F)
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/EXPREF/namelist_coare3p6_cfg
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/EXPREF/namelist_coare3p6_cfg	(revision 12180)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/EXPREF/namelist_coare3p6_cfg	(revision 12181)
@@ -43,5 +43,4 @@
       cn_ocerst_out   = 'restart_oce'   !  suffix of ocean restart name (output)
       cn_ocerst_outdir = './'         !  directory in which to write output ocean restarts
-   ln_iscpl    = .false.   !  cavity evolution forcing or coupling to ice sheet model
    nn_istate   =       0   !  output the initial state (1) or not (0)
    ln_rst_list = .false.   !  output restarts at list of times using nn_stocklist (T) or at set frequency with nn_stock (F)
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/EXPREF/namelist_ecmwf-noskin_cfg
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/EXPREF/namelist_ecmwf-noskin_cfg	(revision 12180)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/EXPREF/namelist_ecmwf-noskin_cfg	(revision 12181)
@@ -43,5 +43,4 @@
       cn_ocerst_out   = 'restart_oce'   !  suffix of ocean restart name (output)
       cn_ocerst_outdir = './'         !  directory in which to write output ocean restarts
-   ln_iscpl    = .false.   !  cavity evolution forcing or coupling to ice sheet model
    nn_istate   =       0   !  output the initial state (1) or not (0)
    ln_rst_list = .false.   !  output restarts at list of times using nn_stocklist (T) or at set frequency with nn_stock (F)
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/EXPREF/namelist_ecmwf_cfg
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/EXPREF/namelist_ecmwf_cfg	(revision 12180)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/EXPREF/namelist_ecmwf_cfg	(revision 12181)
@@ -43,5 +43,4 @@
       cn_ocerst_out   = 'restart_oce'   !  suffix of ocean restart name (output)
       cn_ocerst_outdir = './'         !  directory in which to write output ocean restarts
-   ln_iscpl    = .false.   !  cavity evolution forcing or coupling to ice sheet model
    nn_istate   =       0   !  output the initial state (1) or not (0)
    ln_rst_list = .false.   !  output restarts at list of times using nn_stocklist (T) or at set frequency with nn_stock (F)
Index: /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/EXPREF/namelist_ncar_cfg
===================================================================
--- /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/EXPREF/namelist_ncar_cfg	(revision 12180)
+++ /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019/tests/STATION_ASF/EXPREF/namelist_ncar_cfg	(revision 12181)
@@ -43,5 +43,4 @@
       cn_ocerst_out   = 'restart_oce'   !  suffix of ocean restart name (output)
       cn_ocerst_outdir = './'         !  directory in which to write output ocean restarts
-   ln_iscpl    = .false.   !  cavity evolution forcing or coupling to ice sheet model
    nn_istate   =       0   !  output the initial state (1) or not (0)
    ln_rst_list = .false.   !  output restarts at list of times using nn_stocklist (T) or at set frequency with nn_stock (F)